# Polling

As a dApp, you may want to check the status of a certain request in order to adapt your frontend. To achieve this, CKBull Signer API has two prepared endpoints to obtain the status of a request.

## Sign in request polling

A simple endpoint to obtain the status of a sign in request by its token.

{% openapi src="/files/IoEMLLlEMYecgfMTUZ2D" path="/api/sign-in-requests/{signInToken}/status" method="get" %}
[openapi-spec.json](https://4100684485-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPlB1oN5qXYGlSUWHxkql%2Fuploads%2Fgit-blob-cbbcae6fea374cebec1fa40b6477c93b3c9f8e5b%2Fopenapi-spec.json?alt=media)
{% endopenapi %}

As mentioned in [**Guides and concepts**](/guides-and-concepts/sign-in-request.md)**,** a sign in request can have the following status: **pending**, **expired**, **signed**, **declined** or **session expired.**

## Transaction request polling

A simple endpoint to obtain the status of a transaction request by its token.

{% openapi src="/files/IoEMLLlEMYecgfMTUZ2D" path="/api/transaction-request/{transactionToken}/status" method="get" %}
[openapi-spec.json](https://4100684485-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FPlB1oN5qXYGlSUWHxkql%2Fuploads%2Fgit-blob-cbbcae6fea374cebec1fa40b6477c93b3c9f8e5b%2Fopenapi-spec.json?alt=media)
{% endopenapi %}

As mentioned in [**Guides and concepts**](/guides-and-concepts/transaction-request.md)**,** a sign in request can have the following status: **pending**, **expired**, **signed**, **declined.**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ckbull.app/api/polling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
